using Framework.InteractionSystem;
using Framework.PlasmaStateSystem;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.Entities
{
    public class CoreAction : Framework.InteractionSystem.Action, Sparklike
    {
        protected CoreAction()
            : base(null)
        {
        }

        protected CoreAction(CoreBehaviour sender)
            : base(sender)
        {
        }

        public override string ToString()
        {
            return GetType().Name;
        }
    }
}
